This URL exports all custom domain name exceptions from the IPS inspection allowlist.
Resource URL
GET /domainnameexceptions/ipsinspectionallowlist/export
Request Parameters
URL Parameters: None
Payload Request Parameters: None
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| byteStream | Byte stream of the exported file | String |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/domainnameexceptions/ipsinspectionallowlist/export
Response
{
byteStream":
"www.google.com,\nwww.yahoo.com,\nwww.abc.com,\nwww.test1.com,\nwww.test2.com"
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 500 | 1001 | Internal error message: Internal server error |